Contents

PRO Menu web page

The Productivity Toolbox
for AutoCAD LT 2008

What is PRO Menu?
Installing PRO Menu
Getting Started
New Toolbars
New Button Icons
Popup Toolbox
Toolbar Swapping
Mouse Buttons
Enhanced Osnap Menu
Expanded Shortcut Menus
Pull-Down Menus
Keyboard Macros
Troubleshooting and Support
Ordering PRO Menu


What is PRO Menu?

PRO Menu is a unique addition to AutoCAD, giving it a significant boost in productivity. Working efficiently means having the right tool for every job, and PRO Menu puts in the essential tools that Autodesk left out. It reduces keystrokes and provides a complete productivity toolbox in an easy-to-install package.

PRO Menu uses today's bigger screens to add a few pull-down menus, so all its commands are clearly and logically organized. The expanded layout has more command options and settings right in the menus, saving guesswork and keystrokes. PRO Menu also adds many functions to the shortcut menus. Other features include toolbars to transparently restore saved views or layer states in one click, and layer control by picking objects on the screen. PRO Menu can even add information to the status line.

The AutoCAD LT 2008 customizing interface makes PRO Menu very flexible, since you can create multiple workspaces with menus and toolbars suited exactly to your needs. And, of course, you can load your own customized menus along with PRO Menu.

PRO Key

A companion product from MultiCIM Technologies is a keyboard macro utility named PRO Key. This powerful utility makes it easy to program any key combination with your own custom macros and commands. PRO Menu and PRO Key work well together and will enhance anyone's productivity with AutoCAD. A trial version of PRO Key can be downloaded from the PRO Menu Download Page

>> Next

<< Contents


Installing PRO Menu

PRO Menu is designed to be the main CUI file, in place of the default ACADLT.CUI. It contains all the normal menu items, some additional AutoCAD commands and settings, and the many new PRO Menu items.

By default PRO Menu installs in the user's My Documents folder, but it will work in any local folder. The setup will also install required Visual Basic runtime files. During setup, you are asked pick an existing profile name. AutoCAD LT keeps its current settings in a profile named "Unnamed Profile" in the registry. If you have used the LT Profiles Manager there might be other named profiles. The PRO Menu setup copies the selected profile to a new one named "Promenu", and changes the main CUI file to PRO Menu. See Next about the LT Profiles Manager and restoring the previous main CUI file.

Trial Version
The trial version of PRO Menu has all the pull-down menus and toolbars of the full version, but some features are not functional. Items not available are marked with a * and only show a message on the command line. The Help file is from the full version, and describes all of the many features.

Uninstalling PRO Menu
To remove PRO Menu, first exit from AutoCAD to allow removal of the Promenu profile from the registry. Then click on "Uninstall PRO Menu" in the Start Menu. This will delete all the PRO Menu files and Promenu profile.


Getting Started

When you start AutoCAD LT after completing the setup, PRO Menu will be the main CUI file. By default the ACADLT and Custom files are loaded as partial CUIs. This makes it easy to access customization you may have in these files. Other partial CUI files can be loaded with the CUI or menuload commands (Tools > Customize > Load/Unload Partial CUIs).

PRO Menu adds a new Dashboard panel named PRO Menu Layers. This panel adds some existing and new PRO Menu functions to the previous Layers Dashboard panel.

PRO Menu Workspaces
The PRO Menu CUI file includes two new workspaces:

PRO Menu Drafting - This workspace has PRO Menu's expanded pull-down menus and some of the new toolbars, plus the Dashboard.

PRO Menu Toolbars - This workspace is like the PRO Menu Drafting workspace, but with the Draw, Modify and Construct toolbars instead of the Dashboard.

PRO Menu also includes the two original AutoCAD LT 2008 workspaces, which display the menus and toolbars from the ACADLT.CUI file in the default arrangement. This will allow you to switch to the default AutoCAD setup. These workspaces will still display PRO Menu's osnap menu and expanded shortcut menus.

Learning What's In PRO Menu
Although all of PRO Menu's features are easy to use, there are a lot of them. The quickest way to learn the new capabilities is to open a drawing with which you are familiar. Go through the online Help, and try the pull-down menus, toolbars, mouse buttons and key assignments. The brief time spent doing this will show what each item does, as well as some new ways of working with AutoCAD. Then use the new features in your regular work, and don't just stick to your old habits. Soon you will be enjoying a whole new level of productivity.

Note: When some of PRO Menu's macros are executing, the prompt "Select object whose layer will become current" may be displayed. This is normal, and may temporarily change the current layer. When the macro is finished the original current layer will be restored.

Restoring the ACADLT main CUI file
To switch the main CUI file between PRO Menu and ACADLT, we recommend using the LT Profiles Manager, available for free on the PRO Menu Download Page. In the list of profiles pick either "Unnamed Profile" or "Promenu", then the Set Current button. Pick Run! to start AutoCAD LT with the desired profile.

To manually restore ACADLT.CUI as the main menu file, in the Options/Files dialog pick Customization Files. In Main Customization File, browse for ACADLT.CUI in the folder:

C:\Documents and Settings\"User Name"\Application Data\Autodesk\AutoCAD LT 2008\R13\Enu\Support

To switch back to PRO Menu, pick Promenu.cui in the Documents\PRO Menu LT 2008\Promenu folder.

Note: When you load a partial CUI file, AutoCAD displays all its pull-down menus in all workspaces. If you load PRO Menu as a partial CUI, you will need to customize each workspace to set which menus to display.


New Toolbars

PRO Menu adds several toolbars and also uses them in new ways (see Toolbar Swapping). Some existing toolbars have been modified or expanded. For example, commands from the previous Modify and Modify 2 toolbars are on PRO Menu's Modify and Construct toolbars. The PRO Menu Standard toolbar has some new items, including flyout toolbars for osnaps, selection and restoring views. The drop-down lists for layer, color, linetype, text styles, etc. are separate toolbars, giving much more flexibility in displaying toolbars at the top or docked at the side. The main new toolbars are:

Arc | All arc creation options
Circle | All circle creation options
Construct | Most commands in the Construct menu
Fillet | Draws fillets with saved radii, sets saved values
Layers | Existing and new layer control commands
Numeric | Enters numbers and symbols with the mouse
Popup Toolbox | Large toolbar for the "virtual tablet" feature
Restore Layers | Transparently restores layer state 1 to 5
Select | Selection options to select or preselect objects
Quikflip | Switches to one of several frequently-used toolbars
Viewbar | Creates and restores prenamed saved views

The Object Snap toolbar has been slightly modified - if a button is picked at the command prompt, it sets a single running osnap mode instead of displaying the "unknown command" message.

You may want to customize the PRO Menu toolbars and menus, but you should use them for a while the way they come, to see how everything works together.


New Button Icons

PRO Menu has new toolbar buttons for many of its commands. These icons are on the PRO Menu toolbar, its flyouts or relevant toolbar:

Popup Toolbox - Displays the Popup Toolbox in its previous location.
Pan in Paper Space - Switches to Paper space to realtime pan, then returns to Model space.
Zoom in Paper Space - Switches to Paper space to realtime zoom, then returns to Model space.
Copy then Rotate - Copies selected objects using a base point, then rotates them about the same base point.
Quick Select - Displays the Quick Select dialog, to select drawing objects using various filters.
Save View - Saves the current viewport view as View A to I.
Save View with Layers - Saves the current viewport display as View A to I, including current layer visibility.
Save Windowed View - Saves a windowed area as View A to I.
Xlines on Const Layer - Creates the CONST layer if necessary, then starts the xline command after making the layer current.
Set Fillet Radius - Sets one of the five preset fillet radii which are saved in the drawing.
Zero Radius Fillet - Creates a fillet of zero radius without changing the default radius.
Notepad - Starts the Notepad editor. It can be used to paste multiple lines of text to the command line during the text command.

These buttons are on the Layers toolbar:

Thaw Layers - Thaws layers by typing their names at the command line.

Unlock All - Unlocks all layers transparently.
Isolate Current - Turns off all layers except the current one. Use Unisolate to restore previous layer visibility.
Unisolate Current - Restores layers to visibility when Isolate Current was last used.
Set Layer Color - Sets color of a layer selected by picking it on the screen.
New Current Layer - Creates a new current layer by typing the name at the command line.
Thaw in Current - Thaws layers in the current viewport by typing the names. This can also apply to Paper space itself.
Thaw All in Current Viewport - Thaws all layers in the current Paper space viewport. This can also apply to Paper space itself.

All Layers On - Transparently turns on all layers.
Thaw All Layers - Thaws all layers in the drawing. If used during a command, regen will be queued.


Popup Toolbox

PRO Menu has a "virtual tablet" feature, which gives quick access to a large number of commands without filling up the screen with toolbars. The Popup Toolbox is a special toolbar containing 60 buttons from several toolbars. After picking a button, the Popup Toolbox disappears from the screen. To display the Popup Toolbox, pick the "Popup Toolbox" icon or press F6.

You can easily customize the Popup Toolbox in the CUI editor. If you drag a command onto it, be sure to edit the macro line to match the format of other Popup Toolbox icons, so the toolbar will disappear after picking a button. You could also add the "Popup Toolbox" icon to other toolbars.


Toolbar Swapping

PRO Menu provides an alternative way to access many commands without filling up the screen with toolbars. By swapping toolbars instead of constantly turning them on and off, you can quickly access a large number of commands in one or two mouse clicks. PRO Menu's has both a Quikflip toolbar and shortcut menu to swap 10 frequently-used toolbars. When a toolbar name is picked, the previously-picked toolbar is replaced by the new one. If the 10 listed toolbars have 20 buttons each, you can access 200 commands while using only one toolbar position on the screen. The Quikflip toolbar should display by default; press Ctrl+F to display the Quickflip shortcut menu.

Setting the Toolbar Screen Position
Toolbar swapping works best if you position each toolbar at the same point on the screen, such as the upper right corner of the drawing area. Toolbars can be docked or floating, but floating gives the most consistent position when toolbars display. Pick each toolbar icon to display it, then position the toolbar at the desired place. Remember that when a toolbar is displayed by picking it from the Quikflip toolbar or menu, it will disappear when you pick another one. To keep a toolbar always visible, select it from a pull-down menu or the toolbar list.

All the toolbars can be customized in the normal way. Names can be changed or added using the CUI dialog if you follow the existing macro format. If you include the menugroup it can swap toolbars from other loaded CUI files.


Mouse Buttons

Efficient use of programmed mouse buttons can be a big productivity booster with AutoCAD. Users generally get the best productivity with MBUTTONPAN set to 1, using the middle wheel/button for panning and zooming and shift+right button for the osnap menu.

PRO Menu adds functions to button combinations as listed below. Button assignments can be changed or added by editing the CUI file.

Button Assignments

Ctrl + Right - Toggle ortho mode

Shift + Middle - Show Popup Toolbox

Ctrl+Shift+Right - Toggle Properties palette (transparent when floating)

Ctrl+Shift+Middle - Toggle Design Center palette (transparent when floating)


Enhanced Osnap Menu

PRO Menu adds indicators to the icons on the Osnap menu to show current running osnap modes. They don't display when osnap is turned off. If an osnap icon is picked at the command prompt it sets running osnap to that single mode, to provide a quick way to set a single runnning osnap. PRO Menu adds three new submenus to the Osnap menu: Select Objects, PRO Snaps and Toggle Osnaps.

Select Objects
Contains all options for selecting objects during commands. You can also pick a menu item at the command prompt and then select objects using the option. The objects selected will become the "previous" selection set for use in a subsequent command.
Select Objects Toolbar - Displays the Select toolbar. The toolbar functions like the menu, allowing selection during a command or preselection of objects.

PRO Snaps
This submenu shows nine preset combinations of running osnaps. Pick an item to set the osnaps transparently. You can modify the choices by customizing the PRO Snaps submenu in Shortcut Menus/Object Snap Menu, in the CUI customization.

Toggle Osnaps
On/Off - Toggles running osnap modes on/off transparently (F3 key).
The Set Osnaps submenu transparently toggles the picked running osnap mode on/off. Marks indicate the current settings, whether osnaps are all currently on or off.

Another way to display the osnap menu is by pressing Ctrl + D. This can provide access to it if PRO Menu is ever loaded as a partial menu.


Expanded Shortcut Menus

PRO Menu makes some useful improvements to the shortcut menus:

Command Mode Menu
The Snap Overrides submenu displays marks to show currently active snap modes. The Select Objects submenu has been added, allowing the user to pick selection options during a command. To take full advantage of these menus, the Command Mode menu should be set to "always enabled" in Right-Click Customization (Options - User Preferences). This will make selection options and snap overrides always available via the right mouse button, instead of pressing Shift + right mouse button for the Osnap menu.

Expanded Command menu
Grip Edit Menu
The Snap Overrides submenu has been added to the Grip Edit menu. Also added is "Clear Grips" to cancel editing and clear all grips, which can be selected with the spacebar. If shortcut menus are turned off, the menu will not appear, allowing the right mouse button to act as Enter during grip editing.

Edit Mode Menus
In the Edit mode menus (which display after selecting objects) "Deselect All" and "Properties" have been positioned near the top. The number of different menus has been greatly increased, from 15 in the standard menu to 39 in PRO Menu. This permits much more editing to be done by selecting single or multiple objects, then picking an appropriate option in the menu. PRO Menu has edit mode menus for nearly all single objects, and many useful menus for multiple object selections. Slightly different menus appear for single or multiple dimensions, with options appropriate for each case. The submenu below displays when a single lwpolyline is selected.

Expanded Edit menu

PRO Menu's edit mode menus will join multiple lines and arcs into polylines and set their width with a single menu pick. After selecting multiple lines, pick: Join Into Polylines > Set Width in the shortcut menu. Enter the width, and connected lines will be joined into polylines. After selecting a single line or polyline, the "Join More" option allows joining more lines, arcs and polylines to it. The join options use the current pedit settings for join type and fuzz distance. To edit both polylines and lwpolylines together, use the "Arcs, Lines, Polylines" item on the Modify menu. The complete macro can be repeated on additional objects by picking the top item in the shortcut menu.


Pull-Down Menus

A major benefit of PRO Menu comes from its expansion of the pull-down menus. They are based on the standard ACADLT.CUI, but some menus are added which correspond better to actual command usage and drawing operations. The logical layout makes all the new PRO Menu commands and features easy to find after a brief familiarization.

PRO Menu adds three new pull-down menus:

  • Construct
  • Layers
  • Text
To avoid making the Modify menu excessively long, the new Construct menu contains all commands which copy or create objects from existing objects. A few items have been duplicated to maintain compatibility with the ACADLT menus. Every menu item shows a description on the status line as you highlight it; this is a good way to learn about PRO Menu's new features.

The menus contain items which previously needed clicking a toolbar or typing a command or variable value, allowing many more operations to be done in "Clean Screen" mode. Variables are displayed in the menus with the current value shown after a colon. Command options, such as Fillet Radius, will start the command after setting a value. Variables with on/off values have a check mark indicating the on setting.

Keyboard Access to Menus and Toolbars
Users who like to type commands can access any menu item with two or three keystrokes. To draw a linear dimension for example, type Alt+N to select the Dimension menu, then L. The underlined letter shows each menu item's keystroke. The arrow keys can be used to scroll up, down and across menus, then press Enter to select an item and Escape or Alt to cancel a displayed menu. This method can give quick access to a large number of commands with fewer keystrokes than typing a command alias and option. It also provides one-keystroke access to osnap and shortcut menu items.

Most menus and submenus have a corresponding toolbar to provide two different but consistent ways to pick commands. Menus with a corresponding toolbar put the toolbar item at the bottom and its keystroke is the spacebar. Whenever the menu is displayed, just press the spacebar to display the toolbar.

Note: Display of the menu underlines might currently be turned off. If so, press and release the Alt key to make them visible. The underlines must be turned on to see them in the osnap and shortcut menus. To change this setting go to the Windows Control Panel > Display Properties > Appearance > Effects.

A description is given here for menu items which are new in PRO Menu, or operate differently from the standard AutoCAD. Items not listed will function unchanged from normal AutoCAD. New PRO Menu commands are shown in parentheses.

File Menu | Edit Menu
View Menu | Insert Menu
Format Menu | Tools Menu
Draw Menu | Dimension Menu
Modify Menu | Construct Menu
Layers Menu | Text Menu
Help Menu


File Menu

New File menu items are:

Save & Close - Saves then closes the current drawing.
Write Block - Starts the wblock command.
Export - Options to create a WMF, BMP, TIF, JPG or PNG image file.
Export to AutoCAD - Saves the drawing with AEC proxy objects exploded.

Drawing Utilities
Convert CTB to STB - Converts a color (CTB) plot style file to a named (STB) plot style (convertctb).
Convert Drawing Plot Style - Converts the drawing plot style from color to named (convertpstyles).

Drawing Properties
Measurement - Sets the MEASUREMENT variable to Imperial or Metric
Autosave Name - Shows the autosave file name for the current drawing.
Plot Style - Shows value of PSTYLEMODE for color-dependent or named plot style
If Xreffed - Toggles value of XEDIT, to control in place editing of the drawing file.
Log File Name - Toggles saving drawing log file, shows log file name.
Index Control - Saves layer or spatial indexes in the drawing for demand loading.


Edit Menu

New items in the Edit menu are:

Undo Control

Back to Mark - Undoes back to the most recent Undo mark.

Insert Mark - Inserts an undo mark, displays current number of marks.

Begin Group - Begins an undo group of commands to be undone together.

End Group - Ends the current undo grouping of commands.


View Menu

These items are added or modified in the View menu:

Zoom
Paper Space - If currently within a layout viewport, the display switches to Paper space and starts the rtzoom command. You can use the right-button menu options, and after exiting you are returned to Model space. It provides similar functionality to locked viewports, without having to lock the viewport. NOTE: Not intended for use while in maximized viewport.
In at Point - Transparently zooms in with 10X magnification at a picked point. Also available from an icon on the Zoom toolbar.

Pan
Paper Space - Functions the same as Zoom Paper Space above, but starts the pan command.

Named Views
A ... I - Transparently restores saved views named A to I.
Save View As - Saves the current viewport display as view A to I.
Save View with Layers - Saves the current display as view A to I, including layer visibility.
Save Window As - Saves a windowed area as view A to I.
Create Tiled Views - Creates nine overlapping views of the drawing extents, named A to I using a script. Any view can later be manually recreated if necessary. Creating the views after moving or erasing objects from the edge of the drawing can give inaccurate results. If so, use the Zoom Extents command then run it again. By default, layer visibility is not saved with each view, but it can be added or changed in the Named Views dialog. Current UCS is saved if UCSVIEW = 1.
Show Viewbar - Displays the Viewbar, with buttons to transparently restore views A - I, as well as to create the saved views.

Viewports
Clipped Viewport - Creates a polygonal clipped Paper space viewport.
Round Viewport - Creates a round Paper space viewport.
Shaded Viewport - Creates viewports with four different shading options and a perspective view, for editing and printing surface and solid models. Change the view angle with the 3D ortho and isometric views or the vpoint command. Shaded views can be saved and then restored in model space, most easily with PRO Menu's Viewbar. Using the Hide or Shademode command will lose the shading, and the Plan command removes the perspective. Shaded viewports can be printed hidden or as displayed. To see examples of shaded viewports, open the drawing "Shaded Viewports" in the PRO Menu folder (not included in trial version). Note - Panning and zooming can become very slow with shaded views, depending on the drawing.

Clipped, round and shaded viewports are put on the VPORTS layer and have a default width of 3 units. After positioning a viewport, adjust its size by scaling it or dragging its grips.

Rotated View - Rotates the current view to a picked or typed angle. Not available in Paper Space. When typing the angle, put a minus sign before the angle.

Shade
2D Wireframe - Sets shademode in the current viewport to normal wireframe mode.
Hidden Line - Sets shademode in the current viewport to hidden line mode.
Reflected/Ambient - Sets the ratio of reflected to ambient light for shading.

UCS Icon - Submenu transparently sets the UCS icon to Off, On or Origin in the current viewport, and can also set it for all viewports.


Insert Menu

Bind DWG Symbols - Shows the Xbind dialog to bind referenced drawing objects.

Raster Image
Attaches up to four raster images. After clicking at the insertion point, the External References Palette will appear. For the first image, click on "Image1", then "Found At" and on the Browse button to select the actual image file. To crop an image, insert it in Model space and show it in a rectangular or clipped Paper space viewport. If you erase an image, it can be reinserted by picking it again in the menu.

Note - Once attached, AutoCAD LT 2008 provides no way to detach images. An image can be erased and unloaded, but the name remains in the External References Palette. It can be removed by erasing it then wblocking the drawing. Another option is to put the image in a separate drawing file and attach it as an xref.

Reference Toolbar - Displays the Reference toolbar

Insert Toolbar - Displays the Insert toolbar


Format Menu

These items are added or modified in the Format menu:

Linetype Scale
Displays and sets current global and object linetype scales in the submenu
Paper Space Scaling - Toggles PSLTSCALE variable for Paper space linetype scaling
Polyline Generation - Toggles PLINEGEN for polyline vertex segment generation

Polyline Type
Sets the PLINETYPE variable to control default conversion and creation of regular or lightweight polylines.

Drawing Limits
Displays and sets upper and lower limits of the current tab.
Apply Limit Check - Toggles LIMCHECK, to control drawing objects outside limits.

System Variables - Displays a selected range of system variables and their values in the text window. Select and paste a variable on the command line, press Enter, then enter a new value or press F1 for Help information about it.

Display Settings - Sets several variables affecting the display and display-related commands, a check mark or value in the menu shows current setting.

System Settings - Sets several system settings not available in the Options dialog.

3D Settings - Displays and sets most variables and settings related to working in 3D.


Tools Menu

New items in the Tools menu are:

Object Selection
Object Filters - Starts the Filter command to create and save object filter lists.
Object Selection Toolbar - Displays the Select toolbar.

Inquiry
Use Distance - Pick two points to use the distance between them as input during a command.

External Applications - Starts a script, digital signature application, Notepad, Calculator, Windows Explorer or Web Browser.

New UCS
Manage UCS - Several UCS options not available in the standard menu.

Snap, Grid
Snap Angle - Transparently sets the current viewport snap angle by picking two points or typing it.
Snap Base - Transparently sets viewport snap base point.
Isometric Snap - Transparently toggles isometric snap in the current viewport, realigns grid dots.

Customize
Status Line Info On/Off - Sets the modemacro variable using the script file "mmacro", or clears it if currently set. It displays the current text and dimension styles and group selection mode on the Status line.
Load/Unload Partial CUI - Directly loads or unloads a partial CUI file with the cuiload command.


Draw Menu

Commands to create text are located in the Text menu. New or changed items are:

On Layer Const - Starts the line, ray, xline or circle command after making the layer CONST current. The layer will be created if necessary, but its settings can be changed.

Circle
Pick Radius - Pick an arc or circle to draw a circle with the same radius.
Circle Toolbar - Displays the Circle toolbar

Ellipse
Isometric Circle - Switches to isometric snap mode, draws an isometric circle.
Use Polylines - Toggles PELLIPSE, to use either splines or polylines for ellipses.

Polyline
Zero Width - Sets the default polyline width to zero, starts the pline command.
Set Width - Sets the default polyline width, starts the pline command. Current width is displayed in the menu.

Point
3D Point - Inserts a block named 3dpoint, containing three point objects at right angles to each other, on the layer "3dpoints". If the 3dpoints layer is currently off or frozen, the command will thaw or turn on the layer. If the current value of PDMODE is 0 or 1, the command sets it to 34 to make point objects visible.

Donut
Inside Dia. - Displays donut ID, starts donut after changing it.
Outside Dia. - Displays donut OD, starts donut after changing it.

Square
Edge Endpoints - Draws a square by picking edge endpoints.
Center, Corner - Draws a square by picking center and a corner point.
Center, Midpoint - Draws a square by picking center and edge midpoints.

Hatch
-Bhatch - Starts the command line -bhatch, to allow typing hatch parameters.
Direct Hatch - Draws a hatch by directly picking points.

3D Face - Inserts a 4-sided 3dface on the 3DFACE layer. When inserting, drag the second corner to set its initial size.

Draw Toolbar - Displays the Draw toolbar.


Dimension Menu

New or changed items on the dimension menu are:

Isometric
30°, 90°, 150° Obliqued - Draws an aligned dimension, then obliques it.
Oblique to 30°, 90°, 150° - Obliques selected dimensions to the picked angle.

Modify Text
Edit Text - Starts the ddedit command to edit dimension mtext.
Edit Multiple - Replaces or adds a prefix or suffix to the default text in multiple dimensions.
No Leader - Sets DIMTMOVE to 2 in selected dimensions to position text without a leader. Use dimoverride/clear to restore default format.
Home Position - Resets text position to default in multiple dimensions.

Dimension Style
Style Name - Displays current dimension style name. Shows the Dimstyle dialog if picked.

Repeat Update - Repeatedly updates dimensions as they are picked. Press Esc to exit.

Dim Association
Disassociate - Starts the disassociate command
Regenerate - Starts the dimregen command
Associativity - Sets the dimassoc variable to associative, non-associative or exploded in the current drawing.

Dimension Toolbar - Displays the Dimension toolbar.


Modify Menu

To keep the Modify menu at a manageable length, commands which copy objects or create new objects from existing ones have been put in the Construct menu. New items on the Modify menu are:

Change to Current Layer - The new layer tool LAYCUR.

Object
Convert - Starts the CONVERT command to convert all old-style polylines, hatches or both to the newer, lightweight format.

Arcs, Lines, Polylines
After selecting any combination of arcs, lines and polylines, pick a submenu option. Arcs and lines will be automatically converted to polylines and then the option will be applied. Join uses the current settings for join type and fuzz distance, set with the multiple option of PEDIT. To repeat the action on additional objects, pick the top item on the shortcut menu.
Note: Using this submenu will set the PEDITACCEPT variable to 1 (except for convert to heavy/light).
Convert to Heavy/Light - Starts the CONVERTPOLY command, to convert selected polylines and lightweight polylines.

Erase
Repeat - Erases single objects repeatedly. Press Esc to exit.

Extend
Pick Edges - Normal extend, prompts to pick edge objects first.
Use All Objects - Presses Enter to use all objects as edges.
Extend Edges - Toggles EDGEMODE to extend edge objects.
Projection - Sets PROJMODE, for 3D object projection.

Trim
Pick Edges - Normal trim, prompts to pick edge objects first.
Use All Objects - Presses Enter to use all objects as edges.
Extend Edges - Toggles EDGEMODE to extend edge objects.
Projection - Sets PROJMODE, for 3D object projection.

Scale
Two Points - Scales objects by picking a base point and second point, then dragging the second point.

Break
Repeat at Point - Breaks objects repeatedly at picked points. Press Escape to exit.

Modify Toolbar - Displays the Modify toolbar.


Construct Menu

This new menu contains all commands which copy objects or create new objects based on existing ones. Most commands of this type have been moved from the Modify menu. New items are:

Copy then Rotate - Copies selected objects, then rotates them after placing the copy.

Copy to Layer - The new COPYTOLAYER command.

Block
Write Block - Starts the wblock command.
-Block - Starts the -block command to enter block data on the command line.
List Blocks - Lists current block names in the text window.
Create Previews - Starts the blockicon command to add block previews to the current drawing

Chamfer
Polyline - Starts chamfer with the polyline option.
Distances - Changes chamfer distances, starts chamfer.
Length, Angle - Changes length and angle, starts chamfer.
Trim Mode On/Off - Toggles TRIMMODE, starts chamfer.
Method - Toggles distance/angle method, starts chamfer.
Multiple - Starts chamfer with the multiple option.
Zero Distance - Sets distances to zero, starts chamfer.

Fillet
Polyline - Starts fillet with the polyline option.
Radius - Changes fillet radius, starts the fillet command.
Trim Mode On/Off - Toggles TRIMMODE, starts fillet.
Pick Radius - Pick an arc or circle to create a fillet of the same radius.
Multiple - Starts fillet with the multiple option.
Zero Radius Fillet - Creates a zero radius fillet without changing the default radius.

Saved Radius - Starts fillet with one of five saved radii. Current radius values are saved in the drawing and are displayed in the menu.
Set Radius - Sets a new value for each saved radius.

Fillet Toolbar - Displays the Fillet toolbar, to draw fillets from saved radii and set saved radius values.

Construct Toolbar - Displays the Construct toolbar.


Layers Menu

This new menu has useful items for controlling layers, and displays the current layer name at the top. Where it requires typing names on the command line, multiple layers can be specified with wild cards (*,~ etc.) or separated by commas. To repeat the complete menu macro, pick the first item in the shortcut menu.

Color - Sets the layer color of a picked object.
Lineweight - Sets layer lineweight of a picked object

All Layers
On - Transparently turns on all layers in the drawing.
Thaw - Thaws all layers in the drawing transparently, display may need regenerating.
Unlock - Unlocks all layers in the drawing transparently.
List - Transparently lists all layers and their settings on the text screen.

Isolate Current - Transparently turns off all layers except the current layer. Use Unisolate to restore.
Unisolate Current - Transparently restores layers to the state when Isolate Current was last used. (Restores a saved state named "unisolate".)

Restore State 1...5
Transparently restores a saved layer state named 1 to 5. If the state does not exist, the words "Unknown layer state name" display on the command line. If used during a command to thaw layers, they will not appear until the display is regenerated.
Save State 1...5
Saves a layer state named 1 to 5, using the current state settings. If the state already exists it will be overwritten.

The Viewport submenus set layers in Paper space viewports, and make all options of the vplayer command available from the menus. Current viewport will also apply to Paper space when picking the item from Paper space.

Current Viewport
Freeze - Freezes layers entered by name.
Thaw - Thaws layers entered by name.
Thaw All - Thaws all layers in the current viewport.

Selected Viewports
Freeze - Type layer names to freeze, then pick viewport borders.
Thaw - Type layer names to thaw, then pick viewport borders.
Thaw All - Pick viewport borders in which to thaw all layers.
Reset - Resets layers to their default visibility.
List Frozen - Pick a viewport border to list its frozen layers.

All Viewports
Freeze - Type layer names to freeze in all viewports.
Thaw - Type layer names to thaw in all viewports.
Thaw All - Thaws all layers in all viewports.
Reset - Resets layers to their default visibility.
New Frozen - Enter names for new layers frozen in new viewports.
Set Default - Sets default visibility of layers.

New Layers - Type new layer names on the command line separated by commas.

New Current - Type a new current layer name on the command line.

Layers Toolbar - Displays the PRO Menu Layers toolbar


Text Menu

This new menu contains all commands for working with text and attributes. The current text style is shown after the style command at the top. New items are:

Multiline Text - Starts mtext command with a picked option, including justification.

Single Line Text - Starts text command with a picked option, including justification.

Use Notepad - Starts Windows Notepad. Multiple lines of text can be copied from Notepad and pasted to the command line during the text command.

List All Styles - Lists all saved text styles and their settings in the text window.

Show Selected Frames - Makes selected text frames readable without changing the Text Frame setting (qtext). If qtext is on, regen the drawing to restore the text frames.

Text Settings
Default Height - Displays the TEXTSIZE variable, changes default text height.
Text Quality - Displays TEXTQLTY, sets printed TrueType font smoothness in DPI.
Alternate Font - Sets FONTALT for the font to use if a specified font is not available
Sample Mtext - Sets MTJIGSTRING for mtext drag sample text
Qtext Frames - Toggles QTEXTMODE on/off to display text rectangles
Mirror Text - Toggles MIRRTEXT to control text mirroring
Filled Text - Toggles TEXTFILL to display filled TrueType fonts
Snap to Node - Sets OsnapNodeLegacy to keep node osnap on text

Dtext Editor - Changes the default dtext editor.
Mtext Editor - Changes the default mtext editor.

Text Toolbar - Displays the Text toolbar.


Help Menu

PRO Menu Help information is accessed via the existing AutoCAD Help menu, and includes a reference list of key assignments and mouse buttons. Selecting an item will start the command.

PRO Menu Help - Displays the PRO Menu Help file.

PRO Menu Keys - Lists keys assigned in the Keystrokes section of the CUI file.

Mouse Buttons - Mouse button assignments (Mbuttonpan = 1)

About PRO Menu - Displays PRO Menu version information.
Send Comments - Opens the PRO Menu Feedback Page on-line to send your comments.


Keyboard Macros

Programming keys with frequently-used commands and macros is one of the biggest productivity boosters you can add to AutoCAD. PRO Menu has several keys programmed in the Keystrokes section of the CUI file. Most will work transparently. See the AutoCAD Customization Guide for more about modifying key assignments.

PRO Menu Key Assignments

F4 - Groups On/Off

F6 - Popup Toolbox

Ctrl + D - Shows the Osnap Menu

Ctrl + E - Toggles the Dashboard (transparently if floating)

Ctrl + E - Toggles the Properties Palette (transparently if floating)

Ctrl + F - Shows the Quikflip toolbar menu

Ctrl + Alt + A ... I - Restores View A to I

Ctrl + Shift + W - Creates 9 views A to I

PRO Key
Not all keys can be programmed in the CUI. To easily program almost any key combination, we recommend PRO Key. To find out more, click the link to the PRO Key Page.


Troubleshooting

Troubleshooting and Support

PRO Menu has been thoroughly tested and will run reliably with all AutoCAD installations. One situation which could arise is listed below, with the likely cause and the solution.

A question mark appears where there should be an icon on a toolbar.
This is caused by one or more of the icon BMP files not found. Check that all the BMP files are copied to the PRO Menu folder. Also be sure the PRO Menu folder is listed in the Support File Search Path, set in the Options > Files dialog.

If you change menu files manually, the PRO Menu folder must be added to the Search Path before loading PRO Menu. If the menu is loaded first, it will compile with question marks for the PRO Menu icons. Should this happen, use the MENULOAD command and reload the PRO Menu MNU file.

Technical Support

If the above advice does not solve the problem, please do the following before contacting MultiCIM:

  1. Be sure the problem is due to PRO Menu. AutoCAD is not completely bug-free. Change to the standard menu and see if the condition persists.

  2. Briefly describe the problem in writing. Tell us the actions that cause it and how you have tried to solve it, and we will be much further ahead in finding a solution. We will also need to know your AutoCAD version and any other add-ons or programs you are using at the same time as PRO Menu.

After following the above steps, contact MultiCIM by phone, fax or e-mail and we will try to resolve the difficulty. You can also click on "Send Comments" in the Help menu to go directly to our Feedback Page.

MultiCIM Technologies Inc.
640 Bord du Lac, Suite 101
Dorval QC Canada
H9S 2B6

Phone: 514-633-6401
Fax: 514-633-6495
E-mail: support@multicim.com


Ordering PRO Menu

For up-to-date price and ordering information on PRO Menu and PRO Key, click below to go to the PRO Menu Order Page.

PRO Menu Order Page

MultiCIM Technologies Inc.
640 Bord du Lac, Suite 101
Dorval QC Canada
H9S 2B6

Phone: 514-633-6401
Fax: 514-633-6495
E-mail: info@multicim.com

www.multicim.com